Generation Framework

## org.eclipse.gmf.tooldef
Interface PredefinedItem

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ItemBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  PredefinedMenu

All Known Implementing Classes:
  PredefinedItemImpl, PredefinedMenuImpl

    public interface PredefinedItem

extends ItemBase

A representation of the model object 'Predefined Item'.

The following features are supported:

- `Identifier`

See Also:
  `GMFToolPackage.getPredefinedItem()`
** Generated **
Model:

Method Summary
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIdentifier

    java.lang.String getIdentifier()

  Returns the value of the 'Identifier' attribute.

  If the meaning of the 'Identifier' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identifier' attribute.
  See Also:
    `setIdentifier(String)`, `GMFToolPackage.getPredefinedItem_Identifier()`
  ** Generated **
  Model:

### setIdentifier

    void setIdentifier(java.lang.String value)

  Sets the value of the '`Identifier`' attribute.

  Parameters:
    `value` - the new value of the 'Identifier' attribute.
  See Also:
    `getIdentifier()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.